## Parameters

`module G : Graphviz.GraphWithDotAttrs`

## Signature

`include S with type Tree.V.label = G.V.t`
`module Tree : Graphviz.GraphWithDotAttrs with type V.label = G.V.t`
`module TreeManipulation : sig ... end`
`type cluster = string`
`type graph_layout`
`class tree_model : graph_layout -> TreeManipulation.t -> [Tree.V.t, Tree.E.t, cluster] Graph__.DGraphModel.abstract_model`
`val tree : unit -> TreeManipulation.t`
`val from_graph : ?depth_forward:int -> ?depth_backward:int -> fontMeasure:(fontName:string -> fontSize:int -> string -> int * int) -> G.t -> G.V.t -> tree_model`